<?php
/**
 * Fired during plugin deactivation
 *
 * @link       https://webnotics.solutions
 * @since      1.0.0
 *
 * @package    CPBGD_Main
 * @subpackage CPBGD_Main/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    CPBGD_Main
 * @subpackage CPBGD_Main/includes
 * @author     Team Webnotics <hello@webnotics.solutions>
 */
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

if (!class_exists('CPBGD_Deactivator')) {
	class CPBGD_Deactivator {

		/**
		 * Short Description. (use period)
		 *
		 * Long Description.
		 *
		 * @since    1.0.0
		 */
		public static function cpbgd_deactivaat() {


			/**
			 * Clean up plugin options on deactivation.
			 *
			 * @since 1.0.0
			 */

			delete_option('cpbgd_application_name');
			delete_option('cpbgd_developer_key');
			delete_option('cpbgd_client_id');
			delete_option('cpbgd_client_secret');
			delete_option('cpbgd_api_token');


		}

	}
}
